import csv
import sys

#open file - *.csv
with open(sys.argv[1], 'r') as f1:
    r1 = csv.reader(f1)
    dict1 = {row[0]: row[1:] for row in r1}
    #print(dict1)


#open *_headset.csv
with open(sys.argv[2], 'r') as f2:
    r2 = csv.reader(f2)
    dict2 = {row[0]: row[1:] for row in r2}
    #print(dict2)

    
#combine keys in *.csv to *_headset.csv
for key in dict2:
    if key in dict1:
        dict2[key].extend(dict1[key])

#if key is not present in *_headset.csv, add the key from *.csv to *_headset.csv
for key in dict1:
    if key not in dict2:
        dict2[key]=['','','','','','','','','','','','','','','',]+dict1[key]

#sorting based on timestamp
#sorted(dict2)

for key in dict2:
    print(key, dict2[key])


with open(sys.argv[3], 'w') as f3:
    for key, value in sorted(dict2.items()):
       temp=dict2[key]
       str1=','.join(temp)
       f3.write(key+','+str1+'\n');
        

